<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolDesignsData" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sisotoolDesignsData</refname>

    <refpurpose>Description of the sisotool Designs data
    structure.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Description</title>

    <para>The sisotool Designs data structure contains the definition of the
    blocks associated with the current architecture choice.</para>

    <para>It is a Scilab <link linkend="scilab.help/struct">struct</link>
    which contains:</para>

    <itemizedlist>
      <listitem>
        <para>The <literal>archi</literal> field. This field contains the
        architecture name:
        (<literal>"archi1",</literal>...,<literal>"archi6"</literal>). The
        architecture name is used to retrieve the architecture characteristics
        (see <link
        linkend="sisotoolGetArchiSpecs">sisotoolGetArchiSpecs</link>. It is
        also used by <link
        linkend="sisotoolIMCCompute">sisotoolIMCCompute</link> to detect the
        IMC specific architecture archi5.</para>
      </listitem>

      <listitem>
        <para>One field for each tunable block. The field name is the name of
        the block (C, F, C1, C2,...). The field value is a <link
        linkend="sisotoolControllerData">sisotool controller data
        structure</link>.</para>
      </listitem>

      <listitem>
        <para>One field for each fixed block. The field name is the name of
        the block (G, H,...). The field value is a linear dynamical system
        representation (state space, rational transfer function, zpk).</para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
